# geos::operation::overlay::OverlayNodeFactory Class Reference

Creates nodes for use in the geomgraph::PlanarGraph constructed during overlay operations. NOTE: also used by operation::valid. More...

`#include <OverlayNodeFactory.h>`

Inherits geos::geomgraph::NodeFactory.

List of all members.

## Public Member Functions

geomgraph::Node * | createNode (const geom::Coordinate &coord) const

## Static Public Member Functions

static const geomgraph::NodeFactory & | instance ()

## Detailed Description

Creates nodes for use in the geomgraph::PlanarGraph constructed during overlay operations. NOTE: also used by operation::valid.

The documentation for this class was generated from the following file:

- OverlayNodeFactory.h